package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "PrimaryHealthCareCenter")
public class PrimaryHealthCareCenterTO implements Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private String name;
	private String location;

	public PrimaryHealthCareCenterTO() {
		super();
	}

	public PrimaryHealthCareCenterTO(Integer Id, String name, String location) {
		this.id = Id;
		this.name = name;
		this.location = location;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String value) {
		this.location = value;
	}

	public String getDisplayName() {
		return String.format("[%s] %s", this.name, this.location);
	}

	@Override
	public String toString() {
		return String.format("%s[name=%s]", getClass().getSimpleName(), this.getName());
	}
}
